using System;
using System.Collections.Generic;
using System.Runtime.Intrinsics.X86;

namespace takmicenje2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string s1 = Console.ReadLine();
            string s2 = Console.ReadLine();
            int duz1 = s1.Length;
            int duz2 = s2.Length;
            int maxduz = Math.Max(duz1, duz2);
            int pos = 0;
            int br = 1;
            int n1 = int.Parse(s1);
            int n2 = int.Parse(s2);
            int for_display = 0;


            int raz = Math.Abs(duz1 - duz2);
            pos = raz;
            int TBR = maxduz - raz;

            Console.WriteLine("Max Duzina broja " + maxduz);
            Console.WriteLine("Razlika " + raz);
            Console.WriteLine("Pozicija " + raz);
            Console.WriteLine("TBR " + TBR);

            if (duz1 > duz2)
            {
                string ss = s1.Substring(0, raz);
                Console.WriteLine("Prvi Deo " + ss);
                string ss1 = s1.Substring(pos, TBR);
                string ss2 = s2.Substring(0, duz2);
                Console.WriteLine("Prvi broj " + ss1);
                Console.WriteLine("Drugi broj " + ss2);
                for (int i = 0; i < TBR; i++)
                {
                    ss1 = s1.Substring(pos + i, 1);
                    ss2 = s2.Substring(i, 1);
                    Console.WriteLine("Prvi broj " + ss1);
                    Console.WriteLine("Drugi broj " + ss2);
                    n1 = int.Parse(ss1);
                    n2 = int.Parse(ss2);
                    if (n1 == n2) { Console.WriteLine("Isti broj  " + n1 + n2); }
                    else
                    {
                        for_display = Math.Max(n1, n2);
                        Console.WriteLine("Veci broj  " + for_display);
                    }
                }
            }
            else if (duz2 > duz1)
            {

                string ss = s2.Substring(0, raz);
                Console.WriteLine("Prvi Deo " + ss);
                string ss1 = s1.Substring(0, duz1);
                string ss2 = s2.Substring(pos, TBR);
                Console.WriteLine("Prvi broj " + ss1);
                Console.WriteLine("Drugi broj " + ss2);
                for (int i = 0; i < TBR; i++)
                {
                    ss1 = s1.Substring(i, 1);
                    ss2 = s2.Substring(pos + i, 1);
                    Console.WriteLine("Prvi broj " + ss1);
                    Console.WriteLine("Drugi broj " + ss2);
                    n1 = int.Parse(ss1);
                    n2 = int.Parse(ss2);
                    if (n1 == n2) { Console.WriteLine("Isti broj  " + n1 + n2); }
                    else
                    {
                        for_display = Math.Max(n1, n2);
                        Console.WriteLine("Veci broj  " + for_display);
                    }
                }
            }
            else {
                for (int i = 0; i < duz1; i++)
                {
                   string  ss1 = s1.Substring(i, 1);
                   string ss2 = s2.Substring(i, 1);
                    Console.WriteLine("Prvi broj " + ss1);
                    Console.WriteLine("Drugi broj " + ss2);
                    n1 = int.Parse(ss1);
                    n2 = int.Parse(ss2);
                    if (n1 == n2) { Console.WriteLine("Isti broj  " + n1 + n2); }
                    else
                    {
                        for_display = Math.Max(n1, n2);
                        Console.WriteLine("Veci broj  " + for_display);
                    }
                }
            }


        }
    }




     
   
}